
import 'dart:async';

import 'package:flutter/services.dart';

class FlutterAndroidConnectionApi  {
  static const MethodChannel _channel =
  const MethodChannel('flutter_android_connection_api_channel');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String> testChannelCall(String name, String time) async {
    final String answer = await _channel.invokeMethod('testChannelCall');
    return answer;
  }

  static Future<String> getPermissions() async {
    final String answer = await _channel.invokeMethod('getPermissions');
    return answer;
  }
}
